org.encog.ml.world.grid.probability

## Class GridStochasticProbability

- java.lang.Object
- - org.encog.ml.world.grid.probability.GridAbstractProbability
  - - org.encog.ml.world.grid.probability.GridStochasticProbability

- All Implemented Interfaces:
    ActionProbability

      public class GridStochasticProbability
      extends GridAbstractProbability

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridStochasticProbability(GridWorld theWorld)`
    `GridStochasticProbability(GridWorld theWorld, double theProbabilitySuccess, double theProbabilitySame, double theProbabilityLeft, double theProbabilityRight, double theProbabilityReverse)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculate(State resultState, State previousState, Action desiredAction)`
    `Set<SuccessorState>` | `determineSuccessorStates(State state, Action action)`
    `double` | `getProbabilityLeft()`
    `double` | `getProbabilityReverse()`
    `double` | `getProbabilityRight()`
    `double` | `getProbabilitySame()`
    `double` | `getProbabilitySuccess()`
    `void` | `setProbabilityLeft(double probabilityLeft)`
    `void` | `setProbabilityReverse(double probabilityReverse)`
    `void` | `setProbabilityRight(double probabilityRight)`
    `void` | `setProbabilitySame(double probabilitySame)`
    `void` | `setProbabilitySuccess(double probabilitySuccess)`

    - ### Methods inherited from class org.encog.ml.world.grid.probability.GridAbstractProbability

      `determineActionState, determineResultingAction, getWorld`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridStochasticProbability

          public GridStochasticProbability(GridWorld theWorld,
                                   double theProbabilitySuccess,
                                   double theProbabilitySame,
                                   double theProbabilityLeft,
                                   double theProbabilityRight,
                                   double theProbabilityReverse)

    - #### GridStochasticProbability

          public GridStochasticProbability(GridWorld theWorld)

  - ### Method Detail

    - #### getProbabilitySuccess

          public double getProbabilitySuccess()

      Returns:
        the probabilitySuccess

    - #### setProbabilitySuccess

          public void setProbabilitySuccess(double probabilitySuccess)

      Parameters:
        `probabilitySuccess` - the probabilitySuccess to set

    - #### getProbabilitySame

          public double getProbabilitySame()

      Returns:
        the probabilitySame

    - #### setProbabilitySame

          public void setProbabilitySame(double probabilitySame)

      Parameters:
        `probabilitySame` - the probabilitySame to set

    - #### getProbabilityLeft

          public double getProbabilityLeft()

      Returns:
        the probabilityLeft

    - #### setProbabilityLeft

          public void setProbabilityLeft(double probabilityLeft)

      Parameters:
        `probabilityLeft` - the probabilityLeft to set

    - #### getProbabilityRight

          public double getProbabilityRight()

      Returns:
        the probabilityRight

    - #### setProbabilityRight

          public void setProbabilityRight(double probabilityRight)

      Parameters:
        `probabilityRight` - the probabilityRight to set

    - #### getProbabilityReverse

          public double getProbabilityReverse()

      Returns:
        the probabilityReverse

    - #### setProbabilityReverse

          public void setProbabilityReverse(double probabilityReverse)

      Parameters:
        `probabilityReverse` - the probabilityReverse to set

    - #### calculate

          public double calculate(State resultState,
                         State previousState,
                         Action desiredAction)

    - #### determineSuccessorStates

          public Set<SuccessorState> determineSuccessorStates(State state,
                                                     Action action)

Copyright © 2014. All Rights Reserved.